Delete a presentation template
Roles
Analytics Events
/v2/credentials/web-semantic/presentations/templates/{id}Deletes an existing presentation template by its ID.
Analytic events
- PRESENTATION_WEB_SEMANTIC_TEMPLATE_DELETE_START
- PRESENTATION_WEB_SEMANTIC_TEMPLATE_DELETE_SUCCESS
- PRESENTATION_WEB_SEMANTIC_TEMPLATE_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Presentation template ID
Response Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v2/credentials/web-semantic/presentations/templates/string"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update a presentation template PUT
Updates an existing presentation template by its ID. ### **Analytic events** * PRESENTATION_WEB_SEMANTIC_TEMPLATE_UPDATE_START * PRESENTATION_WEB_SEMANTIC_TEMPLATE_UPDATE_SUCCESS * PRESENTATION_WEB_SEMANTIC_TEMPLATE_UPDATE_FAIL
Create a presentation request POST
Creates a short lived presentation request based on an existing presentation template. The request is returned in the form of a JWM message and must be [signed](#operation/signMessage) and sent to the holder via one of the following methods: - QR code. - Deeplink. - [Encrypted](#operation/encryptMessage) and [sent](#operation/sendMessage) as a wallet notification. ### **Analytic events** * PRESENTATION_WEB_SEMANTIC_REQUEST_CREATE_START * PRESENTATION_WEB_SEMANTIC_REQUEST_CREATE_SUCCESS * PRESENTATION_WEB_SEMANTIC_REQUEST_CREATE_FAIL